GLFW 3.0.2 A multi-platform library for OpenGL, window and input

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Macros Groups Pages
Macros
Error codes
Error handling

## Macros
#define | GLFW_NOT_INITIALIZED 0x00010001
| GLFW has not been initialized. More...
#define | GLFW_NO_CURRENT_CONTEXT 0x00010002
| No context is current for this thread. More...
#define | GLFW_INVALID_ENUM 0x00010003
| One of the enum parameters for the function was given an invalid enum. More...
#define | GLFW_INVALID_VALUE 0x00010004
| One of the parameters for the function was given an invalid value. More...
#define | GLFW_OUT_OF_MEMORY 0x00010005
| A memory allocation failed. More...
#define | GLFW_API_UNAVAILABLE 0x00010006
| GLFW could not find support for the requested client API on the system. More...
#define | GLFW_VERSION_UNAVAILABLE 0x00010007
| The requested client API version is not available. More...
#define | GLFW_PLATFORM_ERROR 0x00010008
| A platform-specific error occurred that does not match any of the more specific categories. More...
#define | GLFW_FORMAT_UNAVAILABLE 0x00010009
| The clipboard did not contain data in the requested format. More...

## Detailed Description

## Macro Definition Documentation

#define GLFW_API_UNAVAILABLE 0x00010006

#define GLFW_FORMAT_UNAVAILABLE 0x00010009

#define GLFW_INVALID_ENUM 0x00010003

#define GLFW_INVALID_VALUE 0x00010004

#define GLFW_NO_CURRENT_CONTEXT 0x00010002

#define GLFW_NOT_INITIALIZED 0x00010001

#define GLFW_OUT_OF_MEMORY 0x00010005

#define GLFW_PLATFORM_ERROR 0x00010008

#define GLFW_VERSION_UNAVAILABLE 0x00010007